#include <catch2/catch.hpp>
#include <fwd.h>
#include <iostream>

TEST_CASE("Array", "[core]")
{
    Eigen::ArrayX3d a(2,3);
    a << 1, 2, 3, 4, 5, 6;
    a.row(1) = Array3d(7, 8, 9);
    std::cout << a.row(1) << std::endl;
}